#!/usr/bin/env bash
BP_ENDPOINT=${BROWNPAPER_ENDPOINT:-https://shimun.net/bp}
CURL_ARGS="--write-out %{url_effective}\\n --silent -o /dev/null"
GPG_ARGS="$([ ! -z "$BROWNPAPER_KEY" ] && echo "--local-user $BROWNPAPER_KEY")"
if [ ! -z "$1" ]; then
	printf "$1" | gpg --sign -a $GPG_ARGS | curl -s --data @-  -X POST $BP_ENDPOINT/new -Ls $CURL_ARGS
else
	gpg --sign -a $GPG_ARGS | curl -s --data @-  -X POST $BROWNPAPER_ENDPOINT/new -Ls $CURL_ARGS
fi
